Subject: Re: bug#24057: 25.1.50; ffap interprets comments beginning with "//" as file path

From: Eli Zaretskii <[email-masked]>
Date: Sun, 24 Jul 2016 17:16:53 +0300

> From: Kaushal Modi <[email-masked]>
> Date: Sat, 23 Jul 2016 21:51:47 +0000
> Cc: [email-masked], [email-masked]
> 
>  You need to be on a system that supports that. Windows is one of
>  them; not sure if there are any others left nowadays.
> 
>  > Or can you try recreating the problem on your system with this patch?
> 
>  I didn't try.
> 
> Can you please try it out and see if this patch causes any issue with such paths? I believe that if you have "//
> //share/foo", it should still work fine.

I tried with a comment that begins like this:

  ////share/foo

and I don't think the proposed behavior will be correct in all cases.
The problem is that comment-search-forward moves all the way past the
leading 4 slashes, instead of only 2.  While I can understand why the
comment-start sequence should not be considered a potential file name,
the stuff that follows it -- in this case, //share/foo -- should IMO
be allowed to be a file name.

Thanks.